{{ $questionId := .Page.Scratch.Get "questionId" | default 1 }}

{{ $headingId := printf "qh%d" $questionId }}
{{ $collapseId := printf "qc%d" $questionId }}

<div>
    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#{{$collapseId}}" aria-expanded="false" aria-controls="collapseOne">
        <b class="p-2">Q{{ $questionId }}</b><span>{{ index .Params 0 }}</span>
    </button>
    <div id="{{$collapseId}}" class="collapse" aria-labelledby="{{$headingId}}">
        <span>
            {{ .Inner | markdownify }}
        </span>
    </div>
</div>

{{ .Page.Scratch.Set "questionId" (add $questionId 1) }}